<?xml version='1.0' encoding='utf-8'?>
<panel>
	<layout class="stick_to_sides_attachment" alignment="all" layout_children="true" inset="0" />

	<widget class="label" id="labl" hidden="true">
    <translation id="text" translation_id="330275" type="use" value="Not available[COMMENT: happiness panel; text displayed when no happiness information is available]" />
  </widget>

  <container id="hapc">
		<layout class="arrange_vertical_attachment" alignment="top, extend" offset="0" gap="0" />
		<layout class="stick_to_sides_attachment" alignment="horizontal" layout_children="true" inset="0" />

		<!-- Morale and general happiness -->
		<container id="hcon">
			<layout class="arrange_vertical_attachment" alignment="top" offset="0" gap="4" />
			<layout class="fit_children_attachment" alignment="vertical,fill" gap="4" offset="0" />
			<layout class="stick_to_sides_attachment" alignment="horizontal" layout_children="true" inset="0" />

			<widget class="table" id="htab" mode="fill_rows" layout="-1" fixed_size_rows="false" auto_size_rows="true" stretch_to_fit_rows="true">
				<widget class="text" col="0" row="0" spec="text" style="bold" auto_size="vertical">
          <translation id="text" translation_id="347778" type="use" value="Mood[COMMENT: person happiness label]" />
        </widget>

				<widget class="text" id="genw" col="0" row="1" auto_size="vertical" spec="text" />
			</widget>

			<widget class="table" id="itab" mode="fill_rows" layout="120, -1" fixed_size_rows="false" auto_size_rows="true" stretch_to_fit_rows="true">
				<widget class="text" col="1" row="0" spec="text" style="bold" auto_size="vertical">
					<translation id="text" translation_id="333795" type="use" value="General Happiness (International)[COMMENT: player happiness panel; general internation happiness label]" />
				</widget>

				<widget class="text" id="geni" col="1" row="1" auto_size="vertical" spec="text" />
			</widget>

			<!-- separator image -->
			<widget class="picture" file="interface/separator" height="4" image_alignment="centre_x, centre_y" />
		</container>

		<container>
			<layout class="stick_to_sides_attachment" alignment="all" layout_children="true" inset="0" />
      
			<widget class="table" id="phpb" layout="-1" mode="fill_rows" fixed_size_rows="false" auto_size_rows="true" row_spacing="0">
        <!-- Has the player retired from international duty? -->
        <widget class="label" col="0" row="0" alignment="left, bottom" style="bold">
          <translation id="text" translation_id="333865" type="use" value="International Happiness[COMMENT: the player's international happiness]" />
        </widget>
        <widget class="text" id="retI" col="0" row="1" auto_size="vertical" spec="text">
          <translation id="text" translation_id="242645" type="use" value="Retired from international football" />
        </widget>

        <!-- training happiness-->
				<widget class="label" col="0" row="2" alignment="left, bottom" style="bold">
					<translation id="text" translation_id="316612" type="use" value="Training Workload[COMMENT: happiness with training schedule]" />
				</widget>
				<widget class="text" id="trah" col="0" row="3" auto_size="vertical" spec="text" />

				<!-- manager interaction -->
				<widget class="label" col="0" row="4" alignment="left, bottom" style="bold">
					<translation id="text" translation_id="276322" type="use" value="Manager Interaction[COMMENT: player happiness panel]" />
				</widget>
				<widget class="text" id="main" col="0" row="5" auto_size="vertical" spec="text" />

				<!-- own player interaction -->
				<widget class="label" col="0" row="6" alignment="left, bottom" style="bold">
					<translation id="text" translation_id="276323" type="use" value="Player Interaction (Own Manager)[COMMENT: player happiness panel]" />
				</widget>
				<widget class="text" id="owni" col="0" row="7" auto_size="vertical" spec="text" />

				<!-- other player interaction -->
				<widget class="label" col="0" row="8" alignment="left, bottom" style="bold">
					<translation id="text" translation_id="276324" type="use" value="Player Interaction (Other)[COMMENT: player happiness panel]" />
				</widget>
				<widget class="text" id="othi" col="0" row="9" auto_size="vertical" spec="text" />

				<!-- questions -->
				<widget class="label" col="0" row="10" alignment="left, bottom" style="bold">
					<translation id="text" translation_id="276325" type="use" value="Press Conference[COMMENT: player happiness panel]" />
				</widget>
				<widget class="text" id="pres" col="0" row="11" auto_size="vertical" spec="text" />

				<!-- misc -->
				<widget class="label" col="0" row="12" alignment="left, bottom" style="bold">
					<translation id="text" translation_id="276326" type="use" value="Miscellaneous[COMMENT: player happiness panel]" />
				</widget>
				<widget class="text" id="misc" col="0" row="13" auto_size="vertical" spec="text" />

				<!-- short term future -->
				<widget class="label" col="0" row="14" alignment="left, bottom" style="bold">
					<translation id="text" translation_id="251277" type="use" value="Short-term Plans[COMMENT: player happiness panel]" />
				</widget>
				<widget class="text" id="futw" col="0" row="15" auto_size="vertical" spec="text" />

				<!-- long term future -->
				<widget class="label" col="0" row="16" alignment="left, bottom" style="bold">
					<translation id="text" translation_id="251278" type="use" value="Long-term Plans[COMMENT: player happiness panel]" />
				</widget>
				<widget class="text" id="lftw" col="0" row="17" auto_size="vertical" spec="text" />

				<!-- career plans -->
				<widget class="label" col="0" row="18" alignment="left, bottom" style="bold">
					<translation id="text" translation_id="318299" type="use" value="Career Plans[COMMENT: personal panel]" />
				</widget>
				<widget class="text" id="cplw" col="0" row="19" auto_size="vertical" spec="text" />

				<!-- manager promises -->
				<widget class="label" col="0" row="20" alignment="left, bottom" style="bold">
					<translation id="text" translation_id="247594" type="use" value="Manager Promises" />
				</widget>
				<widget class="text" id="mprw" col="0" row="21" auto_size="vertical" spec="text" />

				<!-- good relationships -->
				<widget class="label" col="0" row="22" alignment="left, bottom" style="bold">
					<translation id="text" translation_id="247595" type="use" value="Good Relationships" />
				</widget>
				<widget class="text" id="relw" col="0" row="23" auto_size="vertical" spec="text" />

				<!-- poor relationships -->
				<widget class="label" col="0" row="24" alignment="left, bottom" style="bold">
					<translation id="text" translation_id="247596" type="use" value="Poor Relationships" />
				</widget>
				<!-- optional! - only for debug and fictional/regenerated players -->
				<widget class="text" id="prlw" col="0" row="25" auto_size="vertical" spec="text" />

				<!-- linked player status -->
				<widget class="label" col="0" row="26" alignment="left, bottom" style="bold">
					<translation id="text" translation_id="251279" type="use" value="Linked Player Status[COMMENT: player happiness panel]" />
				</widget>
				<widget class="text" id="lpsw" col="0" row="27" auto_size="vertical" spec="text" />

				<!-- questions -->
				<widget class="label" col="0" row="30" alignment="left, bottom" style="bold">
					<translation id="text" translation_id="334001" type="use" value="Press Conference (International)[COMMENT: player happiness panel; Player's happiness with press conferences label]" />
				</widget>
				<widget class="text" id="ipci" col="0" row="31" auto_size="vertical" spec="text" />

				<!-- media opinion -->
				<widget class="label" col="0" row="32" alignment="left, bottom" style="bold">
					<translation id="text" translation_id="333926" type="use" value="Media Opinion (International)[COMMENT: player happiness panel; Players happiness with media opinion label]" />
				</widget>
				<widget class="text" id="imoi" col="0" row="33" auto_size="vertical" spec="text" />
			</widget>
			<!-- table -->
		</container>
	</container>
</panel>